Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Properties | List of all members
Microscopic_Traffic_Simulator___Model.GeometricObjects.Lanes.BezierLane Class Reference

Represents single bezier lane. More...

Inheritance diagram for Microscopic_Traffic_Simulator___Model.GeometricObjects.Lanes.BezierLane:

## Public Member Functions
| BezierLane (Point startLocation, Point firstControlLocation, Point secondControlLocation, Point endLocation)
| Constructor for bezier lane. More...
Public Member Functions inherited from Microscopic_Traffic_Simulator___Model.GeometricObjects.Lanes.Lane
void | AddInnerNode (InnerNode innerNodeToAdd)
| Adds new inner node. More...

## Properties
Point | FirstControlLocation`[get, set]`
| First control location of point. More...
Point | SecondControlLocation`[get, set]`
| Second control location of point. More...
Properties inherited from Microscopic_Traffic_Simulator___Model.GeometricObjects.Lanes.Lane
StartNode | StartNode`[get]`
| Node on the input end of lane. More...
Node | EndNode`[get]`
| Node on the output end of lane. More...
ReadOnlyCollection< InnerNode > | InnerNodes`[get]`
| Inner nodes on the lane. More...

## Additional Inherited Members
Protected Member Functions inherited from Microscopic_Traffic_Simulator___Model.GeometricObjects.Lanes.Lane
| Lane (Point startPoint, Point endPoint)
| Lane constructor. More...
Protected Attributes inherited from Microscopic_Traffic_Simulator___Model.GeometricObjects.Lanes.Lane
StartNode | startNode
| Node on the input end of lane. More...
Node | endNode
| Node on the output end of lane. More...

## Detailed Description

Represents single bezier lane.

Definition at line 11 of file BezierLane.cs.

## Constructor & Destructor Documentation

Microscopic_Traffic_Simulator___Model.GeometricObjects.Lanes.BezierLane.BezierLane | ( | Point | startLocation,
|  | Point | firstControlLocation,
|  | Point | secondControlLocation,
|  | Point | endLocation
| ) |  |

Constructor for bezier lane.

Parameters

  startLocation | Start location of lane.
  firstControlLocation | First control location of lane.
  secondControlLocation | Second control location of lane.
  endLocation | End location of lane.

Definition at line 82 of file BezierLane.cs.

## Property Documentation

Point Microscopic_Traffic_Simulator___Model.GeometricObjects.Lanes.BezierLane.FirstControlLocation
| get set

First control location of point.

Definition at line 57 of file BezierLane.cs.

Point Microscopic_Traffic_Simulator___Model.GeometricObjects.Lanes.BezierLane.SecondControlLocation
| get set

Second control location of point.

Definition at line 70 of file BezierLane.cs.

The documentation for this class was generated from the following file:

- Microscopic Traffic Simulator - Model/GeometricObjects/Lanes/BezierLane.cs